<div class="highlight-frame {{concat @value.selectionType "-frame"}}" style={{@value.style}}>
</div>

{{!-- template-lint-disable no-invalid-interactive --}}
<div style={{@value.titleStyle}} {{did-insert this.setupTitle}} {{on "click" this.select}} {{on "mouseover" this.activate}} class="highlight-title title-{{@value.normalizedName}} {{if this.showName "has-name" "no-name"}} {{concat @value.selectionType "-highlight-title"}}">
  {{#if @value.gid}}
    <div class="global"><FaIcon @icon="globe" /></div>
  {{/if}}

  {{#if @value.showName}}
    <div class="name">{{@value.name}}</div>
  {{/if}}

  {{#if this.showTextType}}
    <div class="type">{{@value.type}}</div>
  {{/if}}

  {{#if this.iconType}}
    <div class="icon-type">
      <FaIcon @icon={{this.iconType}} />
    </div>
  {{/if}}
</div>